Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search
Class IndexChecker

    java.lang.Object
      com.google.appengine.api.search.IndexChecker

    public class IndexChecker

extends java.lang.Object

Checks values of `Indexes`.

Field Summary
`static int` | `MAXIMUM_DOCS_PER_REQUEST` The maximum number of documents allowed per index and delete request.
`static int` | `MAXIMUM_INDEX_NAME_LENGTH` The maximum length for an index name.

Constructor Summary
`IndexChecker()`

Method Summary
`static java.lang.String` | `checkName(java.lang.String indexName)` Checks whether an index name is valid.
`static IndexSpec` | `checkValid(IndexSpec spec)` Checks that an `IndexSpec` is valid.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAXIMUM_INDEX_NAME_LENGTH

    public static final int MAXIMUM_INDEX_NAME_LENGTH

  The maximum length for an index name.

  See Also:
    Constant Field Values

### MAXIMUM_DOCS_PER_REQUEST

    public static final int MAXIMUM_DOCS_PER_REQUEST

  The maximum number of documents allowed per index and delete request.

  See Also:
    Constant Field Values

Constructor Detail

### IndexChecker

    public IndexChecker()

Method Detail

### checkName

    public static java.lang.String checkName(java.lang.String indexName)

  Checks whether an index name is valid. It must be a ASCII visible printable string of length between 1 and #MAXIMUM_INDEX_NAME_LENGTH and not start with '!' which is reserved for internal index names.

  Parameters:
    `indexName` - the index name to check
  Returns:
    the checked index name
  Throws:
    `java.lang.IllegalArgumentException` - if the index name is not an ASCII visible printable string between 1 and #MAXIMUM_INDEX_NAME_LENGTH in length, or starts with '!'

### checkValid

    public static IndexSpec checkValid(IndexSpec spec)

  Checks that an `IndexSpec` is valid.

  Parameters:
    `spec` - the IndexSpec to check
  Returns:
    the checked IndexSpec protocol buffer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD